

function [islogOK, statname, latd, latm, lond, lonm, time, date, ...
        botz, ctdno, xcpno, chitchat] = getlog(seqno)

if ~exist('D247', 'var')
load D247log.mat
D247 = logg;
clear logg
end

islogOK = 0;
[na nsta] = size(D247);

% if seqno is negative then it is the line number of the log file
if seqno <= -1 & abs(seqno) <= nsta+1
    j = abs(seqno);       
    statname = D247(j).station;
    ctdno = D247(j).ctd_ladcp;
    xcpno = D247(j).xcp;
    lond = D247(j).londeg;
    lonm = D247(j).lonmin;
    latd = D247(j).latdeg;
    latm = D247(j).latmin;
    time = D247(j).time;
    date = D247(j).date;
    botz = D247(j).depth;
    chitchat = D247(j).comments;
    islogOK = 1;
    return
end

%  for all other seqno, come here and search for a match with something
for j=1:nsta
 
if    D247(j).ctd_ladcp == seqno ...
    | D247(j).xcp == seqno ...
    | strcmp(D247(j).station, seqno) == 1
        
    statname = D247(j).station;
    ctdno = D247(j).ctd_ladcp;
    xcpno = D247(j).xcp;
    lond = D247(j).londeg;
    lonm = D247(j).lonmin;
    latd = D247(j).latdeg;
    latm = D247(j).latmin;
    time = D247(j).time;
    date = D247(j).date;
    botz = D247(j).depth;
    chitchat = D247(j).comments;
    islogOK = 1;
end
end

%  if nothing matched up, then
if  islogOK == 0;    
    statname = [];
    ctdno = [];
    xcpno = [];
    lond = [];
    lonm = [];
    latd = [];
    latm = [];
    time = [];
    date = [];
    botz = [];
    chitchat = [];
end

return




