function [isctdOK, temp, sal, oxygen, press] = getctd(ctdno)

%  if ctdno leq 0, then there is no ctd data for this station
if ctdno <= 0
    isctdOK = 0;
    temp = [];
    sal = [];
    press = [];
    oxygen = [];

    return
end

   if ctdno <= 9 
      lsta = ['load ctd00' num2str(ctdno)]; 
      sta = ['ctd00' num2str(ctdno) ];
   end
   if ctdno >= 10 & ctdno <= 99
      lsta = ['load ctd0' num2str(ctdno)]; 
      sta = ['ctd0' num2str(ctdno) ]; 
   end
   if ctdno >= 100 
      lsta = ['load ctd' num2str(ctdno) ]; 
      sta = ['ctd' num2str(ctdno) ]; 
   end


   
eval(lsta);
dd = eval(sta);

[nz nn] = size(dd.temp);

if nz <=3     
    isctdOK = 0;
    temp = [];
    sal = [];
    press = [];
    oxygen = [];
    return
end


clear temp sal oxygen depth

% unpack the CTD the here

temp = dd.temp;
sal = dd.sal;
press = dd.pres;
oxygen = dd.oxy;

isctdOK = 0;
if length(temp) >= 5
    isctdOK = 1;
end

return

