function [isnutOK, sili, nitr, phos, pres] = getnut(ctdno)

   if ctdno <= 9 
      lsta = ['load ctd00' num2str(ctdno)]; 
      sta = ['ctd00' num2str(ctdno) ];
   end
   if ctdno >= 10 & ctdno <= 99
      lsta = ['load ctd0' num2str(ctdno)]; 
      sta = ['ctd0' num2str(ctdno) ]; 
   end
   if ctdno >= 100 
      lsta = ['load ctd' num2str(ctdno) ]; 
      sta = ['ctd' num2str(ctdno) ]; 
   end

eval(lsta);
dd = eval(sta);

[nz nn] = size(dd.temp);

%  check to see if there is nutrient data

clear sili pres phos nitr

isnutOK = 1;
sili = dd.btlsil;
phos = dd.btlpo4;
nitr = dd.btlno3;
pres = dd.btlprs;

if length(sili) <= 0 | mean(sili) <= -5
    isnutOK = 0;
end

return